# Enum Texture.Filter

java.lang.Object
java.lang.Enum<Texture.Filter>
com.codename1.gpu.Texture.Filter

All Implemented Interfaces:
  `Comparable<Texture.Filter>`

Enclosing class:
  `Texture`

public static enum Texture.Filter extends Enum<Texture.Filter>
The sampling filter applied when the texture is scaled.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINEAR`
  Bilinear sampling (smooth).
  `NEAREST`
  Nearest texel sampling (blocky, sharp).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Texture.Filter`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Texture.Filter[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEAREST

    public static final Texture.Filter NEAREST
    Nearest texel sampling (blocky, sharp).

  - ### LINEAR

    public static final Texture.Filter LINEAR
    Bilinear sampling (smooth).

- ## Method Details

  - ### values

    public static Texture.Filter[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Texture.Filter valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null